Subject: Re: powerpc-linux-gnu-ld: cannot open linker script file arch/powerpc/boot/zImage.coff.lds: No such file or directory

From: Segher Boessenkool <[email-masked]>
Date: Fri, 9 Feb 2018 14:56:58 -0600

On Fri, Feb 09, 2018 at 04:55:20PM +0100, Mathieu Malaterre wrote:
> >> $ make O=ppc6xx ARCH=powerpc ppc6xx_defconfig
> >> $ make O=ppc6xx ARCH=powerpc CROSS_COMPILE=powerpc-linux-gnu- zImage
> >
> > Works fine for me (exact same arch and defconfig).  Two differences:
> > 1) I also set CROSS_COMPILE during the config step;
> > 2) I don't build zImage, just the default (but manual "make zImage"
> > afterwards works fine).
> 
> Could you run command (2) a second time on your system.

That works fine, also with -j$BIG .

> $ make O=ppc6xx ARCH=powerpc ppc6xx_defconfig
> $ make O=ppc6xx ARCH=powerpc CROSS_COMPILE=powerpc-linux-gnu- zImage
> -> ok so far
> $ make O=ppc6xx -j4 ARCH=powerpc CROSS_COMPILE=powerpc-linux-gnu-

Ah.  I configure with O=, but then cd to that dir and build without O= .
Also not in a subdir of the kernel source tree.

make ARCH=$ARCH CROSS_COMPILE=$TARGET- -C $KERNEL_SRC O=$PWD $DEFCONFIG
make ARCH=$ARCH CROSS_COMPILE=$TARGET- $MAKEOPTS

(everything run in the build dir).

Segher